/* Main */
@font-face {
    font-family: "Independence";
    src: url("../font/INDEPENDENCE.OTF") format("opentype");
    font-weight: normal;
}

@font-face {
    font-family: "OpenSans";
    src: url("../font/OpenSans-Medium.ttf") format("truetype");
    font-weight: 400;
}

@font-face {
    font-family: "OpenSans";
    src: url("../font/OpenSans-SemiBold.ttf") format("truetype");
    font-weight: 500;
}

@font-face {
    font-family: "OpenSans";
    src: url("../font/OpenSans-Bold.ttf") format("truetype");
    font-weight: 700;
}

* {
    box-sizing: border-box;
    --primary-color: #dd413e;
    --background-color: #ebecdf;
    --content-width: 1422px;
    --gutter: 30px;
    --collumn: 91px;
}

html {
    font-size: 62.5%;
    font-family: "OpenSans", sans-serif;
}

.main-content {
    display: block;
    width: 100%;
    max-width: 100%;
    margin: 0 auto;
    background-color: var(--background-color);
    /* border-left: 24px transparent solid;
                border-right: 24px transparent solid; */
}

h1 {
    font-family: "Independence";
    font-size: 6rem;
    color: var(--primary-color);
}

h2 {
    font-size: 1.8rem;
    font-weight: 700;
    line-height: 1.3;
    /* width: 50%; */
}

h3 {
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1.3;
    width: 50%;
}

p {
    font-family: "OpenSans";
    font-weight: 400;
    font-size: 18px;
    line-height: 1.35;
}

span {
    font-size: 16px;
}
/* Header */

.header {
    position: relative;
    height: 100vh;
    max-width: 100vw;
    overflow: hidden;
    display: flex;
    align-items: center;
    /* justify-content: center; */
    background-color: var(--background-color);
}

.header .mask {
    z-index: 1;
    position: absolute;
    top: 0;
    right: 0;
    background-color: var(--background-color);
    width: 100%;
    height: 100%;
}

.header .illustration {
    z-index: 3;
    position: absolute;
    height: 95vh;
    /* max-width: 85vw; */
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    pointer-events: none;
}

.header .map-vietnam {
    z-index: 2;
    position: absolute;
    height: 120vh;
    top: 5vh;
    right: 0;
    pointer-events: none;
}

.header .introduce {
    z-index: 2;
    padding-left: 100px;
}

.header h1:last-child {
    position: relative;
}

.header .title h1:last-child::after {
    z-index: 2;
    content: "";
    position: absolute;
    display: block;
    top: 0;
    left: -24px;
    background: linear-gradient(
        to bottom,
        rgba(221, 65, 62, 0.5),
        rgba(221, 65, 62, 0)
    );
    height: 240px;
    width: calc(100vw - (100px - 24px) * 2);
    pointer-events: none;
}

.header .desc {
    margin-top: 12px;
    width: 500px;
}

.header .introduce img {
    height: 36px;
}

.header .introduce .get-started {
    margin-top: 24px;
    z-index: 4;
    width: 50px;
    height: 50px;
    background-image: url("../img/dropdown-red.svg");
    background-size: 80%;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #f6bd72;
    border-radius: 50%;
    cursor: pointer;
}

/* Content */

.content-container {
    position: relative;
    min-height: 1000px;
    padding-bottom: 80px;
}

.content-container .nav-bar {
    z-index: 7;
    position: sticky;
    display: flex;
    align-items: center;
    gap: 12px;
    top: 0;
    height: 56px;
    width: 100%;
    padding: 0 100px;
    background-color: var(--background-color);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px,
        rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;
}

.nav-bar img {
    height: 36px;
}

.content-container .container {
    margin: 0 100px;
    margin-top: calc(140px - 48px);
}

.content-container .content {
    margin-left: 25%;
    margin-right: 25%;
}

.map-vietnam-gray {
    /* z-index: 0; */
    position: fixed;
    height: 120vh;
    top: 5vh;
    right: 0;
    pointer-events: none;
}

/* Accordion */

.accordion {
    margin-top: 0px;
    margin-bottom: 0px;
    /* background-color: #ccc; */
    /* overflow: hidden; */
}

.accordion .accordion {
    margin-top: 0x;
    margin-bottom: 0;
}

.accordion-header {
    cursor: pointer;
}

.accordion-header h2:hover {
    background-color: #e0e0d5;
}
.accordion-content {
    /* padding: 0 10px; */
    margin-top: 24px;

    max-height: 0px;
    overflow: hidden;
    transition: max-height 0.5s ease, padding 0.5s ease;
}

.accordion-content .desc {
    opacity: 0.8;
    width: 100%;
    margin-bottom: 24px;
}

table .desc {
    width: 100% !important;
    margin-bottom: 0 !important;
}
.accordion-content.open {
}

/* .accordion-content h2 {
                width: 100%;
            } */
.accordion-content .accordion-content {
    width: 100%;
}

.accordion .accordion-content h2 {
    font-size: 18px;
    opacity: 0.87;
    opacity: 1;
    font-weight: 500;
}

.accordion-content ul {
    display: flex;
    flex-direction: column;
    margin-top: 24px;
    gap: 24px;
}

table td .accordion {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    /* width:; */
    opacity: 0.87;
}
table td .accordion p {
    font-size: 16px;
}

table td .accordion-content {
    margin-top: 12px !important;
    transition: none;
}

table td .accordion-header {
    position: relative;
}

table td .accordion-header::before {
    content: "";
    position: absolute;
    top: 0;
    left: -24px;
    width: 24px;
    height: 24px;
    background-image: url("../img/dropdown-gray.svg");
    transition: transform 0.3s ease;
}

/* .content-container
                > .content
                > .accordion
                > .accordion-content
                > .accordion {
                width: calc(100vw - 100px * 2) !important;
                background-color: red !important;
            } */

/* Table */

table {
    border-spacing: 12px;
    border-collapse: separate;
}

table tr {
    gap: 12px;
    height: 40px;
}

table td {
    /* height: 100%; */
    height: 40px;
}
table tr:nth-of-type(odd) td {
    vertical-align: middle;
}

table tr:nth-of-type(odd) td:first-child {
    display: flex;
    align-items: center;
    justify-content: center;
}

table tr:nth-of-type(even) td:first-child {
    display: flex;
    align-items: center;
    justify-content: center;
}

table tr:nth-of-type(even) td:nth-child(2) {
    vertical-align: top;
}

table tr .vertical-line {
    height: 100%;
    width: 1px;
    background-color: #bfbfbf;
}

table tr .timeline {
    font-weight: 700;
    font-size: 18px;
    padding: 4px 16px;
    border: 1px black solid;
    width: 124px;
    text-align: center;
}

.timeline:hover {
    background-color: #e0e0d5;
}

.timeline-header {
    font-size: 18px;
    line-height: 1.25;
}

table td {
    position: relative;
}

/* table td .quote {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                right: -50%;
            } */

table tr td:nth-child(3) {
    vertical-align: top;
}

table tr td:nth-child(3) .quote {
    display: none;
}

table td .quote {
    width: 100%;
    color: black;
    background-color: #dfe0d4;
    border-left: #0d0d0d 4px solid;
    padding: 8px 24px;
    line-height: 1.35;
    font-size: 16px;
    margin-top: 12px;
}

table .timeline-desc {
    opacity: 0.7;
    font-size: 16px;
    line-height: 1.35;
}

.accordion-content .desc:not(:first-child) {
    margin-top: 12px;
}

/* Search-box */
.search-box {
    z-index: 20;
    width: fit-content;

    /* background-color: var(--background-color); */
}

.search-box input {
    font-family: "OpenSans";
    width: 340px;
    height: 48px;
    font-size: 16px;
    border: none;
    outline: none;
    border-radius: 8px;
    padding: 0 12px;

    background-color: var(--background-color);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px,
        rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
    transition: box-shadow 0.2s ease;
}

.search-box input:hover {
    transition: box-shadow 0.2s ease;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
        rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}
.search-box .box {
    position: relative;
    width: fit-content;
}

.search-box img {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 12px;
}

.search-box img {
    height: 24px;
}
